Bug 596535 - SELinux is preventing /usr/bin/which "getattr" access on /usr/sbin/sendmail.sendmail.
Summary: SELinux is preventing /usr/bin/which "getattr" access on /usr/sbin/sendm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0b13f624d00...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 21:42 UTC by Cristian Ciupitu
Modified: 2010-06-08 19:27 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:27:49 UTC


Attachments (Terms of Use)

Description Cristian Ciupitu 2010-05-26 21:42:24 UTC
Summary:

This happened when I run "service puppetmaster start".
SELinux is preventing /usr/bin/which "getattr" access on
/usr/sbin/sendmail.sendmail.

Detailed Description:

SELinux denied access requested by which. It is not expected that this access is
required by which and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:puppetmaster_t:s0
Target Context                system_u:object_r:sendmail_exec_t:s0
Target Objects                /usr/sbin/sendmail.sendmail [ file ]
Source                        which
Source Path                   /usr/bin/which
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           which-2.19-5.fc12
Target RPM Packages           sendmail-8.14.4-4.fc13
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23
                              UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 27 May 2010 12:39:07 AM EEST
Last Seen                     Thu 27 May 2010 12:39:07 AM EEST
Local ID                      82535684-476c-40fc-8d6f-b03d41961e35
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274909947.56:35): avc:  denied  { getattr } for  pid=5639 comm="which" path="/usr/sbin/sendmail.sendmail" dev=dm-0 ino=304716 scontext=unconfined_u:system_r:puppetmaster_t:s0 tcontext=system_u:object_r:sendmail_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274909947.56:35): arch=c000003e syscall=4 success=no exit=-13 a0=8fc010 a1=7fffa5691460 a2=7fffa5691460 a3=13 items=0 ppid=5638 pid=5639 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="which" exe="/usr/bin/which" subj=unconfined_u:system_r:puppetmaster_t:s0 key=(null)



Hash String generated from  catchall,which,puppetmaster_t,sendmail_exec_t,file,getattr
audit2allow suggests:

#============= puppetmaster_t ==============
allow puppetmaster_t sendmail_exec_t:file getattr;

Comment 1 Cristian Ciupitu 2010-05-26 21:44:42 UTC
I'm using puppet-server-0.25.4-1.fc13.noarch.rpm.

Comment 2 Miroslav Grepl 2010-05-27 08:39:19 UTC
Looks like puppetmaster sends mail?

Comment 3 Daniel Walsh 2010-05-27 14:26:16 UTC
Fixed in selinux-policy-3.7.19-22.fc13.noarch

Comment 4 Fedora Update System 2010-05-28 12:27:35 UTC
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 5 Fedora Update System 2010-05-31 18:19:33 UTC
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 6 Fedora Update System 2010-06-02 18:11:26 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13

Comment 7 Fedora Update System 2010-06-08 19:26:05 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.